Commit 7b22193e authored by Tim-Philipp Müller's avatar Tim-Philipp Müller 🐠

Release 1.0.1

parent a5afe16c
=== release 1.0.1 ===
2012-10-07 Tim-Philipp Müller <tim@centricular.net>
* configure.ac:
releasing 1.0.1
2012-10-06 15:00:42 +0100 Tim-Philipp Müller <tim@centricular.net>
* common:
Automatic update of common submodule
From 6c0b52c to 6bb6951
2012-09-30 16:25:29 +0100 Tim-Philipp Müller <tim@centricular.net>
* ext/libav/gstavvidenc.c:
avvidenc: also skip non-video encoders
Doesn't actually make any difference at the moment, but
seems the right thing to do.
https://bugzilla.gnome.org/show_bug.cgi?id=685113
2012-09-30 01:27:10 +0200 Alban Browaeys <prahal@yahoo.com>
* ext/libav/gstavviddec.c:
avviddec: exclude non-video decoders
Otherwise audio decoders "ignored", ie blacklisted, end up
registered by avviddec as video decoders.
https://bugzilla.gnome.org/show_bug.cgi?id=685113
2012-09-28 16:53:49 +0100 Tim-Philipp Müller <tim.muller@collabora.co.uk>
* ext/libav/gstavdemux.c:
avdemux: fix not-negotiated errors
Drop caps event received on the sink pad, instead of
putting it in the list of cached events to be sent
downstream later. We don't want to send our container
caps downstream to our decoders, that'll give us
nasty not-negotiated errors.
https://bugzilla.gnome.org/show_bug.cgi?id=680464
2012-09-27 12:20:30 +0200 Sebastian Dröge <sebastian.droege@collabora.co.uk>
* ext/libav/gstavviddec.c:
avviddec: Correctly handle 0-sized buffers without crashing
Might e.g. be valid for Theora.
2012-09-25 18:29:08 +0100 Tim-Philipp Müller <tim.muller@collabora.co.uk>
* ext/libav/gstavviddec.c:
avviddec: don't try to set invalid latency
Avoids warnings when we don't know the latency.
2012-09-24 17:01:00 +0100 Tim-Philipp Müller <tim.muller@collabora.co.uk>
* configure.ac:
Back to development (bug fixing)
=== release 1.0.0 ===
2012-09-24 14:53:57 +0100 Tim-Philipp Müller <tim.muller@collabora.co.uk>
* NEWS:
* RELEASE:
* configure.ac:
* gst-libav.doap:
Release 1.0.0
2012-09-23 21:14:03 +0100 Tim-Philipp Müller <tim@centricular.net>
* tests/check/elements/avdec_adpcm.c:
* tests/check/elements/avdemux_ape.c:
tests: skip broken tests
2012-09-22 16:10:07 +0100 Tim-Philipp Müller <tim@centricular.net>
* common:
Automatic update of common submodule
From 4f962f7 to 6c0b52c
=== release 0.11.99 ===
2012-09-17 18:05:23 +0100 Tim-Philipp Müller <tim.muller@collabora.co.uk>
* configure.ac:
* gst-libav.doap:
Release 0.11.99
2012-09-17 17:53:29 +0100 Tim-Philipp Müller <tim.muller@collabora.co.uk>
* configure.ac:
* tests/check/Makefile.am:
Remove -DGST_USE_UNSTABLE_API
2012-09-14 13:24:37 +0200 Wim Taymans <wim.taymans@collabora.co.uk>
* ext/libav/gstavviddec.c:
avviddec: improve debug
2012-09-14 02:59:37 +0100 Tim-Philipp Müller <tim@centricular.net>
* configure.ac:
Back to development
=== release 0.11.94 ===
2012-09-14 02:51:13 +0100 Tim-Philipp Müller <tim@centricular.net>
* ChangeLog:
* configure.ac:
* gst-libav.doap:
Release 0.11.94
2012-09-13 09:36:14 -0400 Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>
* ext/libav/gstavviddec.c:
......
This is GStreamer Libav Plugins 1.0.0
This is GStreamer Libav Plugins 1.0.1
Changes since 1.0.0:
* avviddec: handle 0-sized buffers without crashing
* avviddec: don't set invalid latency
Bugs fixed since 1.0.0:
* 680464 : avdemux_*: not-negotiated error
* 680499 : avdemux_ape: will not play some ape files, not-negotiated error
* 685113 : avviddec: ignored audio decoders end up registered as video decoders
New features in 1.0.0:
......
Release notes for GStreamer Libav Plugins 1.0.0
The GStreamer project is pleased to announce the very first release of the
new API and ABI-stable 1.x series of the GStreamer multimedia framework.
The 1.x series is a stable series targeted at end users. It is not API or ABI
compatible with the 0.10.x series. It can, however, be installed in parallel
with the 0.10.x series and will not affect an existing 0.10.x installation.
Release notes for GStreamer libav Plugins 1.0.1
The GStreamer team is proud to announce a new release
in the 1.x stable series of the
core of the GStreamer streaming media framework.
Major improvements include: more flexible memory handling; extensible and
negotiable metadata for buffers; caps negotiation and renegotiation mechanisms,
decoupled from buffer allocation; improved caps renegotiation; automatic
re-sending of state for dynamic pipelines; reworked and more fine-grained pad
probing; simpler and more descriptive audio and video caps; more efficient
allocation of buffers, events and other mini objects; improved timestamp
handling; support for gobject-inspection-based language bindings; countless
other improvements.
Most of these changes involve the GStreamer plugin API. The application API
has changed comparatively little, and most applications should be fairly easy
to port to the new API. There is a porting guide available.
The 1.x series is a stable series targeted at end users.
It is not API or ABI compatible with the stable 0.10.x series.
It is, however, parallel installable with the 0.10.x series and
will not affect an existing 0.10.x installation.
The GStreamer team would like to thank everyone who helped bring this release
about, whether by submitting patches, reporting bugs, testing, sponsoring
development, attending hackfests, or simply supplying moral support.
This is the end of a long development process, but also the beginning of
one. This release does not mark the pinnacle of perfection, but the point
where the team is content with the API and stability and quality of the code
base in general, especially compared to the old 0.10 series.
There will be bugs to fix, and starting from this release there will be
distinct bug-fixing and feature development cycles, with the goal of getting
bug-fixes out quicker and unencumbered by other more risky changes. See
This module contains plugins based on the libav project, including codecs.
http://gstreamer.freedesktop.org/wiki/ReleasePlanning/RoadMap
for a tentative road map and possible schedule.
=== Module
Other modules containing plugins are:
This module contains plugins using libraries from the libav project.
It replaces the gst-ffmpeg module from the 0.10.x series.
gst-plugins-base
contains a basic set of well-supported plugins
gst-plugins-good
contains a set of well-supported plugins under our preferred license
gst-plugins-ugly
contains a set of well-supported plugins, but might pose problems for
distributors
gst-plugins-bad
contains a set of less supported plugins that haven't passed the
rigorous quality testing we expect, or are still missing documentation
and/or unit tests
Other modules containing plugins are:
gst-plugins-base : a basic set of well-supported plugins
gst-plugins-good : a set of well-supported plugins under our preferred license
gst-plugins-ugly : a set of well-supported plugins, but might pose problems
for distributors
gst-plugins-bad : a set of less supported plugins that haven't passed the
rigorous quality testing we expect
==== Download
You can find source releases of gstreamer in the download directory:
Features of this release
* Parallel installability with 0.10.x series
* avviddec: handle 0-sized buffers without crashing
* avviddec: don't set invalid latency
http://gstreamer.freedesktop.org/src/gstreamer/
Bugs fixed in this release
* 680464 : avdemux_*: not-negotiated error
* 680499 : avdemux_ape: will not play some ape files, not-negotiated error
* 685113 : avviddec: " ignored " audio decoders end up registered as video decoders
==== GStreamer Homepage
==== Download ====
More details can be found on the project's website:
You can find source releases of gst-libav in the download
directory: http://gstreamer.freedesktop.org/src/gst-libav/
http://gstreamer.freedesktop.org/
The git repository and details how to clone it can be found at
http://cgit.freedesktop.org/gstreamer/gst-libav/
==== Support and Bugs
==== Homepage ====
The project's website is http://gstreamer.freedesktop.org/
==== Support and Bugs ====
We use GNOME's bugzilla for bug reports and feature requests:
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer
Please submit patches via bugzilla as well.
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer
or
http://gstreamer.freedesktop.org/bugs/
==== Developers
GStreamer is stored in Git, hosted at git.freedesktop.org, and can be
cloned from there. Interested developers of the core library, plugins, and
applications should subscribe to the gstreamer-devel list and/or pop into
our #gstreamer IRC channel on Freenode.
==== Contributors to this release
Alessandro Decina
Christian Fredrik Kalager Schaller
Edward Hervey
Mark Nauwelaerts
Martin Storsjo
Matej Knopp
Michael Smith
Nicolas Dufresne
Robert Swain
Sebastian Dröge
Sjoerd Simons
Stefan Sauer
Thomas Vander Stichele
Tim-Philipp Müller
Vincent Penquerc'h
Wim Taymans
Руслан Ижбулатов
For help and support, please subscribe to and send questions to the
gstreamer-devel mailing list (see below for details).
There is also a #gstreamer IRC channel on the Freenode IRC network.
==== Developers ====
GStreamer is stored in Git, hosted at git.freedesktop.org, and can be cloned
from there (see link above).
Interested developers of the core library, plugins, and applications should
subscribe to the gstreamer-devel list.
Contributors to this release
* Alban Browaeys
* Sebastian Dröge
* Tim-Philipp Müller
 
\ No newline at end of file
......@@ -3,7 +3,7 @@ AC_PREREQ(2.62)
dnl initialize autoconf
dnl when going to/from release please set the nano (fourth number) right !
dnl releases only do Wall, cvs and prerelease does Werror too
AC_INIT(GStreamer libav, 1.0.0.1,
AC_INIT(GStreamer libav, 1.0.1,
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer,
gst-libav)
......@@ -42,7 +42,7 @@ GST_API_VERSION=1.0
AC_SUBST(GST_API_VERSION)
AG_GST_LIBTOOL_PREPARE
AS_LIBTOOL(GST, 0, 0, 0)
AS_LIBTOOL(GST, 1, 0, 1)
dnl *** required versions of GStreamer stuff ***
GST_REQ=1.0.0
......
......@@ -32,6 +32,16 @@ colorspace conversion elements.
</GitRepository>
</repository>
<release>
<Version>
<revision>1.0.1</revision>
<branch>1.0</branch>
<name></name>
<created>2012-10-07</created>
<file-release rdf:resource="http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-1.0.1.tar.xz" />
</Version>
</release>
<release>
<Version>
<revision>1.0.0</revision>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment